Package org.apache.catalina.webresources.war

## Class Handler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.apache.catalina.webresources.war.Handler

-     public class Handler
      extends URLStreamHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Handler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected URLConnection` | `openConnection​(URL u)` |
    `protected void` | `setURL​(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)` |

    - ### Methods inherited from class java.net.URLStreamHandler

      `equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, toExternalForm`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Handler

          public Handler()

  - ### Method Detail

    - #### openConnection

          protected URLConnection openConnection​(URL u)
                                          throws IOException

      Specified by:
        `openConnection` in class `URLStreamHandler`
      Throws:
        `IOException`

    - #### setURL

          protected void setURL​(URL u,
                                String protocol,
                                String host,
                                int port,
                                String authority,
                                String userInfo,
                                String path,
                                String query,
                                String ref)

      Overrides:
        `setURL` in class `URLStreamHandler`